Get a command
GET
https://api.vercel.com/v2/sandboxes/sessions/{sessionId}/cmd/{cmdId}Retrieves the current status and details of a command executed in a session. Use the
wait parameter to block until the command finishes execution.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.sandboxes.getSessionCommand({ sessionId: "sbx_abc123", cmdId: "cmd_abc123", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "command": { "id": "cmd_123a6c5209bc3778245d011443644c8d27dc2c50", "name": "npm", "args": [], "cwd": "/vercel/sandbox", "sessionId": "sbx_123a6c5209bc3778245d011443644c8d27dc2c50", "exitCode": "0", "startedAt": "1673123456789", "durationMs": "1234" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
422Error
429Error
500Error